Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.management.configuration
Interface JMSAdapterMBean

public interface JMSAdapterMBean
extends AdapterMBean

This MBean manages the configuration of a JMS adapter instance.

Field Summary
`static java.lang.String` | `MBEAN_TYPE`

Fields inherited from class com.bea.wlevs.management.configuration.AdapterMBean
`MBEAN_TYPE`

Fields inherited from class com.bea.wlevs.management.configuration.EventBeanMBean
`MBEAN_TYPE`

Method Summary
`int` | `getConcurrentConsumers()` Gets the value of the concurrentConsumers property.
`java.lang.String` | `getConnectionJndiName()` Gets the value of the connectionJndiName property.
`java.lang.String` | `getDestinationJndiName()` Gets the value of the destinationJndiName property.
`java.lang.String` | `getEncryptedPassword()` Gets the value of the encryptedPassword property.
`java.lang.String` | `getEventType()` Gets the value of the eventType property.
`java.lang.String` | `getJndiFactory()` Gets the value of the jndiFactory property.
`java.lang.String` | `getJndiProviderUrl()` Gets the value of the jndiProviderUrl property.
`java.lang.String` | `getMessageSelector()` Gets the value of the messageSelector property.
`java.lang.String` | `getPassword()` Gets the value of the password property.
`java.lang.String` | `getSessionAckModeName()` Gets the value of the sessionAckModeName property.
`java.lang.String` | `getUser()` Gets the value of the user property.
`java.lang.String` | `getWorkManager()` Gets the value of the workManager property.
`boolean` | `isSessionTransacted()` Gets the value of the sessionTransacted property.
`void` | `setConcurrentConsumers(int value)` Sets the value of the concurrentConsumers property.
`void` | `setConnectionJndiName(java.lang.String value)` Sets the value of the connectionJndiName property.
`void` | `setDestinationJndiName(java.lang.String value)` Sets the value of the destinationJndiName property.
`void` | `setEncryptedPassword(java.lang.String value)` Sets the value of the encryptedPassword property.
`void` | `setJndiFactory(java.lang.String value)` Sets the value of the jndiFactory property.
`void` | `setJndiProviderUrl(java.lang.String value)` Sets the value of the jndiProviderUrl property.
`void` | `setMessageSelector(java.lang.String value)` Sets the value of the messageSelector property.
`void` | `setPassword(java.lang.String value)` Sets the value of the password property.
`void` | `setSessionAckModeName(java.lang.String value)` Sets the value of the sessionAckModeName property.
`void` | `setSessionTransacted(boolean value)` Sets the value of the sessionTransacted property.
`void` | `setUser(java.lang.String value)` Sets the value of the user property.
`void` | `setWorkManager(java.lang.String value)` Sets the value of the workManager property.

Methods inherited from interface com.bea.wlevs.management.configuration.EventBeanMBean
`getInstanceProperties, getProvider, getStageClassName`

Methods inherited from interface com.bea.wlevs.management.configuration.StageMBean
`configurePlayback, configurePlaybackWithDuration, configureRecord, configureRecordWithDuration, getPlaybackConfiguration, getRecordConfiguration, isPlayingBack, isRecording, startPlayback, startRecording, stopPlayback, stopRecording`

Methods inherited from interface com.bea.wlevs.management.WebLogicMBean
`getName, getObjectName, getType`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### MBEAN_TYPE

    public static final java.lang.String MBEAN_TYPE

Method Detail

### getEventType

    public java.lang.String getEventType()

  Gets the value of the eventType property.

  Returns:
    possible object is `String`

### getJndiProviderUrl

    public java.lang.String getJndiProviderUrl()

  Gets the value of the jndiProviderUrl property.

  Returns:
    possible object is `String`

### setJndiProviderUrl

    public void setJndiProviderUrl(java.lang.String value)
                            throws javax.management.JMException

  Sets the value of the jndiProviderUrl property.

  Parameters:
    `value` - allowed object is `String`

### getJndiFactory

    public java.lang.String getJndiFactory()

  Gets the value of the jndiFactory property.

  Returns:
    possible object is `String`

### setJndiFactory

    public void setJndiFactory(java.lang.String value)
                        throws javax.management.JMException

  Sets the value of the jndiFactory property.

  Parameters:
    `value` - allowed object is `String`

### getConnectionJndiName

    public java.lang.String getConnectionJndiName()

  Gets the value of the connectionJndiName property.

  Returns:
    possible object is `String`

### setConnectionJndiName

    public void setConnectionJndiName(java.lang.String value)
                               throws javax.management.JMException

  Sets the value of the connectionJndiName property.

  Parameters:
    `value` - allowed object is `String`

### getDestinationJndiName

    public java.lang.String getDestinationJndiName()

  Gets the value of the destinationJndiName property.

  Returns:
    possible object is `String`

### setDestinationJndiName

    public void setDestinationJndiName(java.lang.String value)
                                throws javax.management.JMException

  Sets the value of the destinationJndiName property.

  Parameters:
    `value` - allowed object is `String`

### getUser

    public java.lang.String getUser()

  Gets the value of the user property.

  Returns:
    possible object is `String`

### setUser

    public void setUser(java.lang.String value)
                 throws javax.management.JMException

  Sets the value of the user property.

  Parameters:
    `value` - allowed object is `String`

### getPassword

    public java.lang.String getPassword()

  Gets the value of the password property.

  Returns:
    possible object is `String`

### setPassword

    public void setPassword(java.lang.String value)
                     throws javax.management.JMException

  Sets the value of the password property.

  Parameters:
    `value` - allowed object is `String`

### getEncryptedPassword

    public java.lang.String getEncryptedPassword()

  Gets the value of the encryptedPassword property.

  Returns:
    possible object is `String`

### setEncryptedPassword

    public void setEncryptedPassword(java.lang.String value)
                              throws javax.management.JMException

  Sets the value of the encryptedPassword property.

  Parameters:
    `value` - allowed object is `String`

### getWorkManager

    public java.lang.String getWorkManager()

  Gets the value of the workManager property.

  Returns:
    possible object is `String`

### setWorkManager

    public void setWorkManager(java.lang.String value)
                        throws javax.management.JMException

  Sets the value of the workManager property.

  Parameters:
    `value` - allowed object is `String`

### getConcurrentConsumers

    public int getConcurrentConsumers()

  Gets the value of the concurrentConsumers property.

  Returns:
    possible object is `Integer`

### setConcurrentConsumers

    public void setConcurrentConsumers(int value)
                                throws javax.management.JMException

  Sets the value of the concurrentConsumers property.

  Parameters:
    `value` - allowed object is `Integer`

### getMessageSelector

    public java.lang.String getMessageSelector()

  Gets the value of the messageSelector property.

  Returns:
    possible object is `String`

### setMessageSelector

    public void setMessageSelector(java.lang.String value)
                            throws javax.management.JMException

  Sets the value of the messageSelector property.

  Parameters:
    `value` - allowed object is `String`

### getSessionAckModeName

    public java.lang.String getSessionAckModeName()

  Gets the value of the sessionAckModeName property.

  Returns:
    possible object is `String`

### setSessionAckModeName

    public void setSessionAckModeName(java.lang.String value)
                               throws javax.management.JMException

  Sets the value of the sessionAckModeName property.

  Parameters:
    `value` - allowed object is `String`

### isSessionTransacted

    public boolean isSessionTransacted()

  Gets the value of the sessionTransacted property.

  Returns:
    possible object is `Boolean`

### setSessionTransacted

    public void setSessionTransacted(boolean value)
                              throws javax.management.JMException

  Sets the value of the sessionTransacted property.

  Parameters:
    `value` - allowed object is `Boolean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.